Bug 1650964 - [abrt] PackageKit: dirpool_parent(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: dirpool_parent(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1e9a7fc25770752d7d51e45e7e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 05:47 UTC by Suren Karapetyan
Modified: 2019-05-28 23:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:20:17 UTC


Attachments (Terms of Use)
File: backtrace (30.52 KB, text/plain)
2018-11-18 05:47 UTC, Suren Karapetyan
no flags Details
File: cgroup (184 bytes, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: core_backtrace (11.46 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: dso_list (7.75 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: environ (209 bytes, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: maps (36.78 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: mountinfo (4.10 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: open_fds (2.55 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-11-18 05:48 UTC, Suren Karapetyan
no flags Details

Description Suren Karapetyan 2018-11-18 05:47:52 UTC
Version-Release number of selected component:
PackageKit-1.1.10-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: dirpool_parent
executable:     /usr/libexec/packagekitd
journald_cursor: s=9216650f07e649fdb5728d955e5ee356;i=e15a;b=e36da6eb7a5040a7b1306370c8469ba9;m=9ab288ad0;t=57ae9d0d22b47;x=d09f16608154fc74
kernel:         4.18.18-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dirpool_parent at ../src/dirpool.h:36
 #1 repodata_translate_dir_slow at ../src/repodata.c:911
 #2 repodata_translate_dir at ../src/repodata.h:338
 #3 solvable_copy_cb at ../ext/repo_rpmdb.c:1412
 #4 repodata_search_keyskip at ../src/repodata.c:1235
 #5 repodata_search at ../src/repodata.c:1247
 #6 solvable_copy at ../ext/repo_rpmdb.c:1469
 #7 repo_add_rpmdb at ../ext/repo_rpmdb.c:1771
 #8 repo_add_rpmdb_reffp at ../ext/repo_rpmdb.c:1839
 #9 dnf_sack_load_system_repo at /usr/src/debug/libdnf-0.11.1-5.fc28.1.x86_64/libdnf/dnf-sack.c:1570

Comment 1 Suren Karapetyan 2018-11-18 05:47:59 UTC
Created attachment 1506888 [details]
File: backtrace

Comment 2 Suren Karapetyan 2018-11-18 05:48:00 UTC
Created attachment 1506889 [details]
File: cgroup

Comment 3 Suren Karapetyan 2018-11-18 05:48:02 UTC
Created attachment 1506890 [details]
File: core_backtrace

Comment 4 Suren Karapetyan 2018-11-18 05:48:04 UTC
Created attachment 1506891 [details]
File: cpuinfo

Comment 5 Suren Karapetyan 2018-11-18 05:48:05 UTC
Created attachment 1506892 [details]
File: dso_list

Comment 6 Suren Karapetyan 2018-11-18 05:48:07 UTC
Created attachment 1506893 [details]
File: environ

Comment 7 Suren Karapetyan 2018-11-18 05:48:08 UTC
Created attachment 1506894 [details]
File: exploitable

Comment 8 Suren Karapetyan 2018-11-18 05:48:09 UTC
Created attachment 1506895 [details]
File: limits

Comment 9 Suren Karapetyan 2018-11-18 05:48:11 UTC
Created attachment 1506896 [details]
File: maps

Comment 10 Suren Karapetyan 2018-11-18 05:48:13 UTC
Created attachment 1506897 [details]
File: mountinfo

Comment 11 Suren Karapetyan 2018-11-18 05:48:15 UTC
Created attachment 1506898 [details]
File: open_fds

Comment 12 Suren Karapetyan 2018-11-18 05:48:17 UTC
Created attachment 1506899 [details]
File: proc_pid_status

Comment 13 Suren Karapetyan 2018-11-23 07:40:24 UTC
Removing /var/cache/PackageKit "fixed" the issue.

Comment 14 Ben Cotton 2019-05-02 20:16:03 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 23:20:17 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.